Subject: Re: [Bitcoin-development] HTTP REST API for bitcoind

From: Andy Parkins <[email-masked]>
Date: Tue, 23 Jul 2013 11:02:06 +0100

On Tuesday 23 July 2013 10:56:02 Pieter Wuille wrote:

> The block chain is not involved at all to verify transactions, it's
> just a historical
> record to serve to other nodes, and to do wallet rescans with.

It must be involved to some extent.  Certainly during a temporary fork, there 
are two branches growing, and you have to be able, when verifying a new 
transaction, to say which branch it's one... which branch of the blockchain.

Andy
-- 
Dr Andy Parkins
[email-masked]